import { CrsAnalyzer } from '../analyzers/crs-analyzer';
import { Context } from '../context';
import { GithubClient } from '../github-client';
import { Cr } from '../models/cr';
import { Publisher } from './base';
export declare class CrsPublisher extends Publisher {
    githubCli: GithubClient;
    analyzer: CrsAnalyzer;
    context: Context;
    output: string;
    constructor(analyzer: CrsAnalyzer, githubCli: GithubClient, context: Context);
    publish(): Promise<void>;
    closeOldErrorIssues(errorIssues: any): Promise<void>;
    closeOldDriftIssues(driftIssues: any): Promise<void>;
    publishError(cr: Cr): Promise<any>;
    publishDrift(cr: Cr): Promise<any>;
    buildErrorsBody(cr: Cr): string;
    buildErrorForWs(ws: Cr): string;
    buildDriftBody(wp: Cr): string;
    buildDriftForWs(ws: Cr): string;
    writeLnOutput(line: string): void;
    filterIssuesBy(type: 'error' | 'drift'): Promise<any>;
}
